
Infrastructure - Task #7428

Story # 7419 (Closed): hasReservation should not check if an Identifier is already registered

refactor synchronization to not rely on hasReservation returning IdentifierNotUnique

2015-10-12 16:46 - Rob Nahf

Status: Closed Start date: 2015-10-12

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

this is a big switchboard operation to decide what to do with a sync task.

Refactor to use cn,resolve  (cn.describe can't be used because it returns NotFound for all DATA formatted-objects).

Associated revisions

Revision 16660 - 2015-10-14 04:00 - Rob Nahf

fixes #7428.  refactored the check for pid and sid existence and reservations for new hasReservation definition.

Revision 16660 - 2015-10-14 04:00 - Rob Nahf

fixes #7428.  refactored the check for pid and sid existence and reservations for new hasReservation definition.

History

#1 - 2015-10-14 03:59 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 30

finished recoding V2TransferObjectTask, got unit tests passing.  need to test in-situ.

#2 - 2015-10-14 04:25 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

- translation missing: en.field_remaining_hours set to 0.0

Applied in changeset d1-python:d1_python|r16660.
